QtMultiMedia and GStreamer recipes

Stephen Lawrence stephen.lawrence at renesas.com
Thu Oct 6 12:02:50 EDT 2016


Could you not just configure Qt in the resulting rootfs to make the right choice if time is of the essence.
I’m no Qt jockey so perhaps that is easier said…

Regards

Steve

From: Roland Krause [mailto:rkrause at ics.com]
Sent: 06 October 2016 17:00
To: Tom Pollard <tom.pollard at codethink.co.uk>
Cc: Stephen Lawrence <stephen.lawrence at renesas.com>; genivi-projects at lists.genivi.org
Subject: Re: QtMultiMedia and GStreamer recipes

Tom,
any chance you can spell out the steps on how to get Qt to build with GStreamer-1 support.
I am not familiar enough with yocto as to know how and where to do the bbappend.
I promise i will learn but I need a bit more detail on how and where to set this bbappend.

Many thanks

--Roland


On Thu, Oct 6, 2016 at 8:52 AM, Tom Pollard <tom.pollard at codethink.co.uk<mailto:tom.pollard at codethink.co.uk>> wrote:
Hi,

I think Stephen is right here, if you create bbappend for qtmultimedia
and add I believe it should enforce 1.0, but I'm not 100% sure and
lacking time to test it:

PACKAGECONFIG = "gstreamer"

(You many want to += or add the extra flags i.e pulseaudio you need in
there if doing a straight '=' assert override)

Tom

On 06/10/16 16:37, Roland Krause wrote:
>
>
> On Thu, Oct 6, 2016 at 7:38 AM, Stephen Lawrence
> <stephen.lawrence at renesas.com<mailto:stephen.lawrence at renesas.com> <mailto:stephen.lawrence at renesas.com<mailto:stephen.lawrence at renesas.com>>> wrote:
>
>     Weird, don’t remember it being 0.1 when I last tested Gst. Although
>     that would have been on Genivi 10.____
>
>     __ __
>
>     Looks like it’s a PACKAGECONFIG [1]____
>
>     __ __
>
>     [1]
>     https://github.com/meta-qt5/meta-qt5/blob/krogoth/recipes-qt/qt5/qtmultimedia_git.bb#L21
>     <https://github.com/meta-qt5/meta-qt5/blob/krogoth/recipes-qt/qt5/qtmultimedia_git.bb#L21>____
>
>     __
>
> It looks like both 1.0 and 0.1 gstreamer is configured in which case
> QtMM in Qt-5.6 defaults to 0.1 afaik.
> Is there a way to enforce 1.0 in the recipe?
>
> Roland
>
>
>
>
>     __
>
>     Regards____
>
>     __ __
>
>     Steve____
>
>     __ __
>
>     *From:*genivi-projects
>     [mailto:genivi-projects-bounces at lists.genivi.org<mailto:genivi-projects-bounces at lists.genivi.org>
>     <mailto:genivi-projects-bounces at lists.genivi.org<mailto:genivi-projects-bounces at lists.genivi.org>>] *On Behalf Of
>     *Roland Krause
>     *Sent:* 06 October 2016 15:20
>     *To:* genivi-projects at lists.genivi.org<mailto:genivi-projects at lists.genivi.org>
>     <mailto:genivi-projects at lists.genivi.org<mailto:genivi-projects at lists.genivi.org>>
>     *Subject:* QtMultiMedia and GStreamer recipes____
>
>     __ __
>
>     Friends. ____
>
>     I know I brought this up before - but I need some advice here - ____
>
>     __ __
>
>     Currently GDP provides Qt-5.6 which uses gstreamer-0.1 as a default
>     (this is configurable at build time afaik) ____
>
>     __ __
>
>     Is there a way to change the recipes in meta-qt5 to use
>     GStreamer-1.0?____
>
>     __ __
>
>     If not - what is the proper way to get gstreamer-0.1 to build for
>     the GDP platform?____
>
>     __ __
>
>     Any help and recomendations appreciated. ____
>
>     __ __
>
>     Regards____
>
>     Roland____
>
>
>
>
> _______________________________________________
> genivi-projects mailing list
> genivi-projects at lists.genivi.org<mailto:genivi-projects at lists.genivi.org>
> http://lists.genivi.org/cgi-bin/mailman/listinfo/genivi-projects
>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.genivi.org/pipermail/genivi-projects_lists.genivi.org/attachments/20161006/a812caee/attachment.html>


More information about the genivi-projects mailing list